[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLDBFieldDef

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TFieldDef descendant with room to store engine-specific data

## Declaration

Source position: sqldb.pp line 127

`type TSQLDBFieldDef = class(TFieldDef)`
`public`
`property SQLDBData: Pointer; [rw]` |  | Pointer to store engine-specific data for the result field
`end;`

## Inheritance

`TSQLDBFieldDef` |  | TFieldDef descendant with room to store engine-specific data
`TFieldDef` |  | Class to describe one field in a record in a dataset
`TNamedItem` |  | Named collection item
`TCollectionItem`
`TPersistent,IFPObserved`
`TObject`

## Description

TSQLDBFieldDef is a SQLDB specific db.TFieldDef descendent which has room for storing engine-specific data for the result set fields.

## See also

TSQLDBFieldDef.SQLDBData |  | Pointer to store engine-specific data for the result field